Package net.snowflake.client.jdbc

## Class ColumnTypeInfo

- java.lang.Object
- - net.snowflake.client.jdbc.ColumnTypeInfo

    @SnowflakeJdbcInternalApi
    public class ColumnTypeInfo
    extends Object

### Constructor Summary

Constructors
`ColumnTypeInfo​(int columnType, String extColTypeName, SnowflakeType snowflakeType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnType()`
`String` `getExtColTypeName()`
`SnowflakeType` `getSnowflakeType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnTypeInfo

    public ColumnTypeInfo​(int columnType,
                          String extColTypeName,
                          SnowflakeType snowflakeType)

### Method Detail

#### getColumnType

    public int getColumnType()

#### getExtColTypeName

    public String getExtColTypeName()

#### getSnowflakeType

    public SnowflakeType getSnowflakeType()